# Tags

**List Tags:**

```yaml
GET /api/pub/tags
```

**Add a tag to a lead:**&#x20;

```yaml
PUT /api/pub/lead/{leadId}/tags?userId=123
```

Params: leadId (number): the lead ID. userId (number): the user ID from the lead.

Body: \
\- userId (number): the user ID from the lead. \
\- tagIds (list of numbers): the tag IDs. For tag IDs, the tags are expected to be base 10 numbers. For This list will accept a maximum of 10 tags at a time.

**Remove a tag from a lead:**&#x20;

```yaml
DELETE /api/pub/lead/{leadId}/tags?userId=123
```

Params: leadId (number): the lead ID. userId (number): the user ID from the lead.

Body: \
\- userId (number): the user ID from the lead. \
\- tagIds (list of numbers): the tag IDs. For tag IDs, the tags are expected to be base 10 numbers. For This list will accept a maximum of 10 tags at a time.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.popl.co/introduction/leads/tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
